Package com.salesforce.hyperdb.grpc

## Class ErrorInfo.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>
      - - com.salesforce.hyperdb.grpc.ErrorInfo.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ErrorInfoOrBuilder`, `Cloneable`

Enclosing class:
  ErrorInfo

    public static final class ErrorInfo.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>
    implements ErrorInfoOrBuilder

Protobuf type `salesforce.hyperdb.grpc.v1.ErrorInfo`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ErrorInfo.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ErrorInfo` `build()`
`ErrorInfo` `buildPartial()`
`ErrorInfo.Builder` `clear()`
`ErrorInfo.Builder` `clearCustomerDetail()` `string customer_detail = 4;`
`ErrorInfo.Builder` `clearCustomerHint()` `string customer_hint = 3;`
`ErrorInfo.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`ErrorInfo.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`ErrorInfo.Builder` `clearPosition()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`ErrorInfo.Builder` `clearPrimaryMessage()` `string primary_message = 1;`
`ErrorInfo.Builder` `clearSqlstate()` `string sqlstate = 2;`
`ErrorInfo.Builder` `clearSystemDetail()` `string system_detail = 5;`
`ErrorInfo.Builder` `clone()`
`String` `getCustomerDetail()` `string customer_detail = 4;`
`com.google.protobuf.ByteString` `getCustomerDetailBytes()` `string customer_detail = 4;`
`String` `getCustomerHint()` `string customer_hint = 3;`
`com.google.protobuf.ByteString` `getCustomerHintBytes()` `string customer_hint = 3;`
`ErrorInfo` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`TextPosition` `getPosition()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`TextPosition.Builder` `getPositionBuilder()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`TextPositionOrBuilder` `getPositionOrBuilder()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`String` `getPrimaryMessage()` `string primary_message = 1;`
`com.google.protobuf.ByteString` `getPrimaryMessageBytes()` `string primary_message = 1;`
`String` `getSqlstate()` `string sqlstate = 2;`
`com.google.protobuf.ByteString` `getSqlstateBytes()` `string sqlstate = 2;`
`String` `getSystemDetail()` `string system_detail = 5;`
`com.google.protobuf.ByteString` `getSystemDetailBytes()` `string system_detail = 5;`
`boolean` `hasPosition()` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`ErrorInfo.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`ErrorInfo.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`ErrorInfo.Builder` `mergeFrom​(ErrorInfo other)`
`ErrorInfo.Builder` `mergePosition​(TextPosition value)` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`ErrorInfo.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`ErrorInfo.Builder` `setCustomerDetail​(String value)` `string customer_detail = 4;`
`ErrorInfo.Builder` `setCustomerDetailBytes​(com.google.protobuf.ByteString value)` `string customer_detail = 4;`
`ErrorInfo.Builder` `setCustomerHint​(String value)` `string customer_hint = 3;`
`ErrorInfo.Builder` `setCustomerHintBytes​(com.google.protobuf.ByteString value)` `string customer_hint = 3;`
`ErrorInfo.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`ErrorInfo.Builder` `setPosition​(TextPosition value)` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`ErrorInfo.Builder` `setPosition​(TextPosition.Builder builderForValue)` `.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`
`ErrorInfo.Builder` `setPrimaryMessage​(String value)` `string primary_message = 1;`
`ErrorInfo.Builder` `setPrimaryMessageBytes​(com.google.protobuf.ByteString value)` `string primary_message = 1;`
`ErrorInfo.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`ErrorInfo.Builder` `setSqlstate​(String value)` `string sqlstate = 2;`
`ErrorInfo.Builder` `setSqlstateBytes​(com.google.protobuf.ByteString value)` `string sqlstate = 2;`
`ErrorInfo.Builder` `setSystemDetail​(String value)` `string system_detail = 5;`
`ErrorInfo.Builder` `setSystemDetailBytes​(com.google.protobuf.ByteString value)` `string system_detail = 5;`
`ErrorInfo.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### clear

    public ErrorInfo.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### getDefaultInstanceForType

    public ErrorInfo getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public ErrorInfo build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public ErrorInfo buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public ErrorInfo.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### setField

    public ErrorInfo.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                      Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### clearField

    public ErrorInfo.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### clearOneof

    public ErrorInfo.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### setRepeatedField

    public ErrorInfo.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              int index,
                                              Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### addRepeatedField

    public ErrorInfo.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                              Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### mergeFrom

    public ErrorInfo.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ErrorInfo.Builder>`

#### mergeFrom

    public ErrorInfo.Builder mergeFrom​(ErrorInfo other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### mergeFrom

    public ErrorInfo.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ErrorInfo.Builder>`
Throws:
  `IOException`

#### getPrimaryMessage

    public String getPrimaryMessage()

`string primary_message = 1;`

Specified by:
  `getPrimaryMessage` in interface `ErrorInfoOrBuilder`
Returns:
  The primaryMessage.

#### getPrimaryMessageBytes

    public com.google.protobuf.ByteString getPrimaryMessageBytes()

`string primary_message = 1;`

Specified by:
  `getPrimaryMessageBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for primaryMessage.

#### setPrimaryMessage

    public ErrorInfo.Builder setPrimaryMessage​(String value)

`string primary_message = 1;`

Parameters:
  `value` - The primaryMessage to set.
Returns:
  This builder for chaining.

#### clearPrimaryMessage

    public ErrorInfo.Builder clearPrimaryMessage()

`string primary_message = 1;`

Returns:
  This builder for chaining.

#### setPrimaryMessageBytes

    public ErrorInfo.Builder setPrimaryMessageBytes​(com.google.protobuf.ByteString value)

`string primary_message = 1;`

Parameters:
  `value` - The bytes for primaryMessage to set.
Returns:
  This builder for chaining.

#### getSqlstate

    public String getSqlstate()

`string sqlstate = 2;`

Specified by:
  `getSqlstate` in interface `ErrorInfoOrBuilder`
Returns:
  The sqlstate.

#### getSqlstateBytes

    public com.google.protobuf.ByteString getSqlstateBytes()

`string sqlstate = 2;`

Specified by:
  `getSqlstateBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for sqlstate.

#### setSqlstate

    public ErrorInfo.Builder setSqlstate​(String value)

`string sqlstate = 2;`

Parameters:
  `value` - The sqlstate to set.
Returns:
  This builder for chaining.

#### clearSqlstate

    public ErrorInfo.Builder clearSqlstate()

`string sqlstate = 2;`

Returns:
  This builder for chaining.

#### setSqlstateBytes

    public ErrorInfo.Builder setSqlstateBytes​(com.google.protobuf.ByteString value)

`string sqlstate = 2;`

Parameters:
  `value` - The bytes for sqlstate to set.
Returns:
  This builder for chaining.

#### getCustomerHint

    public String getCustomerHint()

`string customer_hint = 3;`

Specified by:
  `getCustomerHint` in interface `ErrorInfoOrBuilder`
Returns:
  The customerHint.

#### getCustomerHintBytes

    public com.google.protobuf.ByteString getCustomerHintBytes()

`string customer_hint = 3;`

Specified by:
  `getCustomerHintBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for customerHint.

#### setCustomerHint

    public ErrorInfo.Builder setCustomerHint​(String value)

`string customer_hint = 3;`

Parameters:
  `value` - The customerHint to set.
Returns:
  This builder for chaining.

#### clearCustomerHint

    public ErrorInfo.Builder clearCustomerHint()

`string customer_hint = 3;`

Returns:
  This builder for chaining.

#### setCustomerHintBytes

    public ErrorInfo.Builder setCustomerHintBytes​(com.google.protobuf.ByteString value)

`string customer_hint = 3;`

Parameters:
  `value` - The bytes for customerHint to set.
Returns:
  This builder for chaining.

#### getCustomerDetail

    public String getCustomerDetail()

`string customer_detail = 4;`

Specified by:
  `getCustomerDetail` in interface `ErrorInfoOrBuilder`
Returns:
  The customerDetail.

#### getCustomerDetailBytes

    public com.google.protobuf.ByteString getCustomerDetailBytes()

`string customer_detail = 4;`

Specified by:
  `getCustomerDetailBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for customerDetail.

#### setCustomerDetail

    public ErrorInfo.Builder setCustomerDetail​(String value)

`string customer_detail = 4;`

Parameters:
  `value` - The customerDetail to set.
Returns:
  This builder for chaining.

#### clearCustomerDetail

    public ErrorInfo.Builder clearCustomerDetail()

`string customer_detail = 4;`

Returns:
  This builder for chaining.

#### setCustomerDetailBytes

    public ErrorInfo.Builder setCustomerDetailBytes​(com.google.protobuf.ByteString value)

`string customer_detail = 4;`

Parameters:
  `value` - The bytes for customerDetail to set.
Returns:
  This builder for chaining.

#### getSystemDetail

    public String getSystemDetail()

`string system_detail = 5;`

Specified by:
  `getSystemDetail` in interface `ErrorInfoOrBuilder`
Returns:
  The systemDetail.

#### getSystemDetailBytes

    public com.google.protobuf.ByteString getSystemDetailBytes()

`string system_detail = 5;`

Specified by:
  `getSystemDetailBytes` in interface `ErrorInfoOrBuilder`
Returns:
  The bytes for systemDetail.

#### setSystemDetail

    public ErrorInfo.Builder setSystemDetail​(String value)

`string system_detail = 5;`

Parameters:
  `value` - The systemDetail to set.
Returns:
  This builder for chaining.

#### clearSystemDetail

    public ErrorInfo.Builder clearSystemDetail()

`string system_detail = 5;`

Returns:
  This builder for chaining.

#### setSystemDetailBytes

    public ErrorInfo.Builder setSystemDetailBytes​(com.google.protobuf.ByteString value)

`string system_detail = 5;`

Parameters:
  `value` - The bytes for systemDetail to set.
Returns:
  This builder for chaining.

#### hasPosition

    public boolean hasPosition()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Specified by:
  `hasPosition` in interface `ErrorInfoOrBuilder`
Returns:
  Whether the position field is set.

#### getPosition

    public TextPosition getPosition()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Specified by:
  `getPosition` in interface `ErrorInfoOrBuilder`
Returns:
  The position.

#### setPosition

    public ErrorInfo.Builder setPosition​(TextPosition value)

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

#### setPosition

    public ErrorInfo.Builder setPosition​(TextPosition.Builder builderForValue)

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

#### mergePosition

    public ErrorInfo.Builder mergePosition​(TextPosition value)

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

#### clearPosition

    public ErrorInfo.Builder clearPosition()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

#### getPositionBuilder

    public TextPosition.Builder getPositionBuilder()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

#### getPositionOrBuilder

    public TextPositionOrBuilder getPositionOrBuilder()

`.salesforce.hyperdb.grpc.v1.TextPosition position = 6;`

Specified by:
  `getPositionOrBuilder` in interface `ErrorInfoOrBuilder`

#### setUnknownFields

    public final ErrorInfo.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`

#### mergeUnknownFields

    public final ErrorInfo.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ErrorInfo.Builder>`